<?php
/*
Plugin Name: Bulk Email Checker's Email Validator
Plugin URI: http://www.bulkemailchecker.com
Description: Prevent spam and lost customers with an highly advanced email validation system in comment, user registration and contact forms using Bulk Email Checker's Email Validation Service.
Author: Bulk Email Checker
Version: 4.0
Author URI: http://www.bulkemailchecker.com
*/

// Set up our WordPress Plugin
function bec_check_WP_ver()
{
   if ( version_compare( get_bloginfo( 'version' ), '3.1', '<' ) )
   {
      wp_die("You must update WordPress to use this plugin!");
   }

   if ( get_option( 'bec_array' ) === false )
   {
      $options_array['bec_apikey'] = 'XXXXXXXX';
      $options_array['bec_version'] = '4';
      add_option( 'bec_array', $options_array );
   }
}

function plugin_init()
		{
			add_filter( 'is_email', 'validate_myemail' ) ;
		}

function validate_myemail( $emailID ) {

$options = get_option( 'bec_array' );
$key = $options['bec_apikey'];

$url = 'http://api-v4.bulkemailchecker.com/?key='.$key.'&email='.$emailID;
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 15); 
curl_setopt($ch, CURLOPT_TIMEOUT, 15); 
$response = curl_exec($ch);
curl_close($ch);

// decode the json response
$json = json_decode($response, true);

// easily access each string
$status   = $json['status'];
$event    = $json['event'];
$details  = $json['details'];

if($status == 'failed'){
return FALSE;  
                         }

if($status != 'failed'){
return TRUE;  
                         }


                                     }


plugin_init();

register_activation_hook( __FILE__, 'bec_check_WP_ver' );

// Include or Require any files
include('process.php');
include('display-options.inc.php');
include('menus.inc.php');

// Action & Filter Hooks
add_action( 'admin_menu', 'bec_add_admin_menu' );
add_action( 'admin_post_bec_save_validator_option', 'process_bec_validator_options' );

?>